package gui.tw.diaoyu;

import cn.hutool.core.util.RandomUtil;

public class DiaoyuItem {
    int id;

    String itemName;

    int itemId;

    int minNum;

    int maxNum;


    int chance;

    int chance2;

    int notice;

    int isAdvanced;

    public int getChance2() {
        return chance2;
    }

    public void setChance2(int chance2) {
        this.chance2 = chance2;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public int getItemId() {
        return itemId;
    }

    public void setItemId(int itemId) {
        this.itemId = itemId;
    }

    public int getMinNum() {
        return minNum;
    }

    public void setMinNum(int minNum) {
        this.minNum = minNum;
    }

    public int getMaxNum() {
        return maxNum;
    }

    public void setMaxNum(int maxNum) {
        this.maxNum = maxNum;
    }

    public int getChance() {
        return chance;
    }

    public void setChance(int chance) {
        this.chance = chance;
    }

    public int getNotice() {
        return notice;
    }

    public void setNotice(int notice) {
        this.notice = notice;
    }

    public int getIsAdvanced() {
        return isAdvanced;
    }

    public void setIsAdvanced(int isAdvanced) {
        this.isAdvanced = isAdvanced;
    }

    public int getnum() {
        return RandomUtil.randomInt(minNum, maxNum+1);
    }
}
